function Eah(a,b,d,e){CGd.call(this,a,b,d);this.a=e}
function Lah(){var a;a=new dsg(5);Tr((igd(),a.gb),false);return a}
function ihh(a){var b;if(!a.g){b=new Mah((_1i(nee(a.a)),Yoj(pee(a.a))));a.g=b}return a.g}
function hhh(a){var b;if(!a.f){b=new Eah(MFd(Jce(a.a)),ihh(a),ghh(a),PMg(Dde(a.a)));YFd((Kce(a.a),b),VGd(Kce(a.a)));a.f=b}return a.f}
function Mah(){qAf.call(this,i3b,cWd((Z5g(),V5g),sM(k2c,myj,237,[Y5g])));this.a=new g6g(i3b,this);this.o="Distributed query engine, that parses, plans and excutes user's SQL commands and provides results"}
K3c(4518,1013,pzj,Eah);_.Zi=function(){this.A.Er()};_.bj=function(){Vvf(this.a,this)};K3c(4521,2877,qAj,Mah);_.Ch=function(){return hAf(this)};_.Br=function(){return this.a};_.Cr=function(){return m7j};_.Gr=function(){return null};_.Jr=function(){var a;a=new f4g(this,m7j,jAf(this,null),this.k,this.s);return new r4g(this,m7j,null,Lah(),a,this.s)};_.Kr=function(){return Lah()};K3c(4591,1,Xzj);_.ud=function(){uHd(this.b,hhh(this.a.a))};var c2b=sOd(4518),d2b=sOd(4521);JAj(np)(17);